<?php

namespace Polkurier\Controller;


use Polkurier\ApiClient;
use Polkurier\Exception\ApiException;
use Polkurier\Exception\HttpException;
use Polkurier\Exception\MethodNotAllowedException;
use Polkurier\Http\JsonResponse;
use Polkurier\Http\Request;
use Polkurier\Util\Arr;

/**
 * Class CourierPointController
 */
class CourierPointController
{

    /**
     * @param Request $request
     * @return JsonResponse
     * @throws ApiException
     */
    public function searchAction(Request $request)
    {
        $data = ApiClient::getInstance()->getCourierPoint(
            (array)$request->getQuery('providers', []),
            (string)$request->getQuery('searchQuery', ''),
            $request->getQuery('cod') === 'true',
            $request->getQuery('collect') === 'true',
            $request->getQuery('send' === 'true')
        );

        $limit = (int)Arr::get($data, 'limit', 0);
        if ($limit > 0) {
            $data = array_slice($data, 0, $limit);
        }
        return new JsonResponse($data);
    }


    /**
     * @param Request $request
     * @return JsonResponse
     * @throws HttpException
     */
    public function setCourierPoint(Request $request)
    {
        if (!$request->isPost()) {
            throw new MethodNotAllowedException();
        }

        update_option('polkurier_default_point_id_' . $request->getRequest('courier'), $request->getRequest('pointId'));
        update_option('polkurier_default_point_label_' . $request->getRequest('courier'), $request->getRequest('pointLabel'));
        return new JsonResponse(['success' => true]);
    }

}
