<?php

namespace Polkurier;

use Polkurier\Exception\ApiException;

/**
 * Class MapsTokenManager
 * @package Polkurier
 */
class MapsTokenManager
{
    /**
     * @var MapsToken|null
     */
    private $token;

    /**
     * @return string
     */
    public function getToken()
    {
        if ($this->token === null) {
            $this->token = new MapsToken(get_option('polkurier_maps_token'));
        }
        if (!$this->token->isValid()) {
            $this->token = $this->getApiToken();
        }
        return $this->token;
    }

    public function clearToken()
    {
        delete_option('polkurier_maps_token');
        return $this;
    }

    /**
     * @return MapsToken
     */
    private function getApiToken()
    {
        try {
            $token = new MapsToken(ApiClient::getInstance()->getMapToken());
            if ($token->isValid()) {
                update_option('polkurier_maps_token', $token->getToken());
            }
            return $token;
        } catch (ApiException $e) {
            return new MapsToken('');
        }
    }
}
