<?php

namespace Polkurier\ShippingMethods;

/**
 * Class Shipping_InpostParcelMachine
 * @package Polkurier
 */
class InpostParcelMachineShippingMethodMethod extends AbstractShippingMethod
{

    /**
     * {@inheritDoc}
     * @return string
     */
    protected function getDefaultTitle()
    {
        return 'Paczkomaty InPost';
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getId()
    {
        return 'pk_inpost_paczkomat';
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getPolkurierId()
    {
        return 'INPOST_PACZKOMAT';
    }

    /**
     * {@inheritDoc}
     */
    public function isParcelPickupPoint()
    {
        return true;
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getSelectButtonLabel()
    {
        return __('Wybierz paczkomat', \Polkurier::instance()->getTextDomain());
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getSelectedPointLabel()
    {
        return __('Wybrany paczkomat', \Polkurier::instance()->getTextDomain());
    }

    /**
     * {@inheritDoc}
     * @return array|void
     */
    protected function getErrorMessages()
    {
        $textNs = \Polkurier::instance()->getTextDomain();
        return [
            self::ERROR_MESSAGE_NOT_POINT_SELECTED => __('Nie wybrano paczkomatu', $textNs),
        ];
    }


}
