<?php

namespace Polkurier\ShippingMethods;

/**
 * Class Shipping_InpostParcelMachine
 * @package Polkurier
 */
class PaczkaWRuchuShippingMethodMethod extends AbstractShippingMethod
{

    /**
     * {@inheritDoc}
     * @return string
     */
    protected function getDefaultTitle()
    {
        return 'ORLEN Paczka';
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getId()
    {
        return 'pk_paczka_w_ruchu';
    }

    /**
     * @return string
     */
    public function getPolkurierId()
    {
        return 'PACZKA_W_RUCHU';
    }

    /**
     * {@inheritDoc}
     */
    public function isParcelPickupPoint()
    {
        return true;
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getSelectButtonLabel()
    {
        return __('Wybierz punkt ORLEN', \Polkurier::instance()->getTextDomain());
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getSelectedPointLabel()
    {
        return __('Wybrany punkt ORLEN', \Polkurier::instance()->getTextDomain());
    }

    /**
     * {@inheritDoc}
     * @return array|void
     */
    protected function getErrorMessages()
    {
        $textNs = \Polkurier::instance()->getTextDomain();
        return [
            self::ERROR_MESSAGE_NOT_POINT_SELECTED => __('Nie wybrano punktu ORLEN', $textNs),
        ];
    }

}
