<?php

namespace Polkurier\Util;

class Dates
{

    /**
     * Format DateTime Dla MySQL
     * @example 2019-10-28 09:28:12
     */
    const MYSQL_DATETIME = 'Y-m-d H:i:s';

    /**
     * Format Date Dla MySQL
     * @example 2019-10-28
     */
    const MYSQL_DATE = 'Y-m-d';

    /**
     * Zwraca obiekt typu DateTime lub null jeśli niepoprawna data
     * @param $date
     * @return \DateTime|null
     */
    public static function dateTimeOrNull($date)
    {
        if ($date instanceof \DateTime) {
            return $date;
        }

        // podano NULL - normalnie DateTime po podaniu wartości null trorzy tworzy obiekt z obecną datą, dla na NULL
        // jest pustą datę, więc zwracamy wartość NULL
        if (empty($date)) {
            return null;
        }

        try {
            // Jeśli wartość jest liczbą to uznajemy, że to timestamp
            if (is_numeric($date)) {
                $date = '@' . $date;
            }
            return new \DateTime($date);
        } catch (\Exception $e) {
            return null;
        }
    }

}
