<?php


namespace Polkurier\Util;

use Polkurier\ShippingMethods\AbstractShippingMethod;
use WC_Order;
use WC_Order_Item_Shipping;
use WC_Shipping_Method;

/**
 * Class OrderTools
 * @package Polkurier\Util
 */
class OrderTools
{

    /**
     * @param WC_Order $order
     * @return WC_Shipping_Method|null
     */
    public static function getShippingMethod(WC_Order $order)
    {
        $shippingMethods = $order->get_shipping_methods();
        if (empty($shippingMethods)) {
            return null;
        }

        /** @var WC_Order_Item_Shipping $orderShippingMethod */
        $orderShippingMethod = reset($shippingMethods);
        if ($orderShippingMethod === null || $orderShippingMethod === false) {
            return null;
        }
        return \Polkurier::instance()->getShippingMethodById($orderShippingMethod->get_method_id());
    }


    /**
     * @param WC_Shipping_Method $method
     * @return bool
     */
    public static function isOwnShippingMethod(WC_Shipping_Method $method)
    {
        return $method instanceof AbstractShippingMethod;
    }

}